package NatsServer

import (
	"Cold_GoodsOrder/lib"
	"github.com/vmihailenco/msgpack/v5"
)

// 添加系统日志
func AddSysLogs(T_class, T_title string, T_txt interface{}) {

	type T_S struct {
		T_class string
		T_title string
		T_txt   interface{}
	}
	b, _ := msgpack.Marshal(&T_S{T_class: T_class, T_title: T_title, T_txt: T_txt})
	// 发布-订阅 模式，向 test1 发布一个 `Hello World` 数据
	_ = lib.Nats.Publish("Cold_User_AddSysLogs", b)

}

// 添加用户日志
func AddUserLogs(T_uuid, T_class, T_title string, T_txt interface{}) {

	type T_S struct {
		T_uuid  string
		T_class string
		T_title string
		T_txt   interface{}
	}
	b, _ := msgpack.Marshal(&T_S{T_uuid: T_uuid, T_class: T_class, T_title: T_title, T_txt: T_txt})
	// 发布-订阅 模式，向 test1 发布一个 `Hello World` 数据
	_ = lib.Nats.Publish("Cold_User_AddUserLogs", b)
}
